﻿using FluentNHibernate.Mapping;

namespace SimpleManyToMany
{
    public class Class
    {
        public virtual int Id { get; set; }
        public virtual string Name { get; set; }
        public virtual int TeacherId { get; set; }
    }

    public class ClassMap : ClassMap<Class>
    {
        public ClassMap()
        {
            Id(u => u.Id).GeneratedBy.Identity();
            Map(u => u.Name).Nullable();
            Map(u => u.TeacherId).Not.Nullable();

            Table("facultydata..Class");
        }
    }
}
