﻿using FluentNHibernate.Mapping;

namespace SimpleManyToMany
{
    public class Student
    {
        public virtual int Id { get; set; }
        public virtual string Name { get; set; }
    }

    public class StudentMap : ClassMap<Student>
    {
        public StudentMap()
        {
            Id(u => u.Id).GeneratedBy.Identity();
            Map(u => u.Name).Nullable();

            Table("studentdata..Student");
        }
    }
}