﻿using FluentNHibernate.Mapping;

namespace SimpleManyToMany
{
    public class StudentClass
    {
        public virtual int StudentClassId { get; set; }
        public virtual int StudentId { get; set; }
        public virtual int ClassId { get; set; }
    }

    public class StudentClassMap : ClassMap<StudentClass>
    {
        public StudentClassMap()
        {
            Id(u => u.StudentClassId).GeneratedBy.Identity();
            Map(u => u.StudentId).Not.Nullable();
            Map(u => u.ClassId).Not.Nullable();

            Table("studentdata..StudentClass");
        }
    }
}
